ON_BrepRegion Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_brep.h>`

Inheritance diagram for ON_BrepRegion:

## Public Member Functions

ON_BOOL32 | IsValid (ON_TextLog *text_log=NULL) const
| ON_BrepRegion ()
| ~ON_BrepRegion ()
ON_BrepRegion & | operator= (const ON_BrepRegion &)
ON_BOOL32 | Write (ON_BinaryArchive &binary_archive) const
ON_BOOL32 | Read (ON_BinaryArchive &binary_archive)
ON_Brep * | Brep () const
class ON_BrepRegionTopology * | RegionTopology () const
ON_BrepFaceSide * | FaceSide (int rfsi) const
bool | IsFinite () const
const ON_BoundingBox & | BoundingBox () const
ON_Brep * | RegionBoundaryBrep (ON_Brep *brep=NULL) const
Public Member Functions inherited from ON_Object
bool | CopyFrom (const ON_Object *src)
| ON_Object ()
| ON_Object (const ON_Object &)
ON_Object & | operator= (const ON_Object &)
virtual | ~ON_Object ()
void | EmergencyDestroy ()
virtual void | MemoryRelocate ()
ON_BOOL32 | IsKindOf (const ON_ClassId *pClassId) const
virtual void | Dump (ON_TextLog &) const
virtual unsigned int | SizeOf () const
virtual ON__UINT32 | DataCRC (ON__UINT32 current_remainder) const
virtual ON::object_type | ObjectType () const
virtual ON_UUID | ModelObjectId () const
bool | SetUserString (const wchar_t *key, const wchar_t *string_value)
int | SetUserStrings (int count, const ON_UserString *user_strings, bool bReplace)
bool | GetUserString (const wchar_t *key, ON_wString &string_value) const
int | GetUserStrings (ON_ClassArray< ON_UserString > &user_strings) const
int | GetUserStringKeys (ON_ClassArray< ON_wString > &user_string_keys) const
int | UserStringCount () const
ON_BOOL32 | AttachUserData (ON_UserData *pUserData)
ON_BOOL32 | DetachUserData (ON_UserData *pUserData)
ON_UserData * | GetUserData (const ON_UUID &userdata_uuid) const
void | PurgeUserData ()
ON_UserData * | FirstUserData () const
void | TransformUserData (const ON_Xform &xform)
void | CopyUserData (const ON_Object &source_object)
void | MoveUserData (ON_Object &source_object)
virtual void | DestroyRuntimeCache (bool bDelete=true)

## Public Attributes

ON_U | m_region_user
int | m_region_index
ON_SimpleArray< int > | m_fsi
int | m_type
ON_BoundingBox | m_bbox

## Friends

class | ON_Brep
class | ON_BrepRegionTopology

## Detailed Description

Definition at line 1364 of file opennurbs_brep.h.

## Constructor & Destructor Documentation

## ON_BrepRegion()

ON_BrepRegion::ON_BrepRegion | ( |  | ) |

## ~ON_BrepRegion()

ON_BrepRegion::~ON_BrepRegion | ( |  | ) |

## Member Function Documentation

## BoundingBox()

const ON_BoundingBox& ON_BrepRegion::BoundingBox | ( |  | ) | const

## Brep()

ON_Brep* ON_BrepRegion::Brep | ( |  | ) | const

## FaceSide()

ON_BrepFaceSide* ON_BrepRegion::FaceSide | ( | int | rfsi | ) | const

## IsFinite()

bool ON_BrepRegion::IsFinite | ( |  | ) | const

## IsValid()

ON_BOOL32 ON_BrepRegion::IsValid | ( | ON_TextLog * | text_log = `NULL` | ) | const

virtual

Implements ON_Object.

## operator=()

ON_BrepRegion& ON_BrepRegion::operator= | ( | const ON_BrepRegion & |  | ) |

## Read()

ON_BOOL32 ON_BrepRegion::Read | ( | ON_BinaryArchive & | binary_archive | ) |

virtual

Reimplemented from ON_Object.

## RegionBoundaryBrep()

ON_Brep* ON_BrepRegion::RegionBoundaryBrep | ( | ON_Brep * | brep = `NULL` | ) | const

## RegionTopology()

class ON_BrepRegionTopology* ON_BrepRegion::RegionTopology | ( |  | ) | const

## Write()

ON_BOOL32 ON_BrepRegion::Write | ( | ON_BinaryArchive & | binary_archive | ) | const

virtual

Reimplemented from ON_Object.

## Friends And Related Function Documentation

## ON_Brep

friend class ON_Brep

friend

Definition at line 1439 of file opennurbs_brep.h.

## ON_BrepRegionTopology

friend class ON_BrepRegionTopology

friend

Definition at line 1440 of file opennurbs_brep.h.

## Member Data Documentation

## m_bbox

ON_BoundingBox ON_BrepRegion::m_bbox

Definition at line 1422 of file opennurbs_brep.h.

## m_fsi

ON_SimpleArray<int> ON_BrepRegion::m_fsi

Definition at line 1420 of file opennurbs_brep.h.

## m_region_index

int ON_BrepRegion::m_region_index

Definition at line 1377 of file opennurbs_brep.h.

## m_region_user

ON_U ON_BrepRegion::m_region_user

Definition at line 1374 of file opennurbs_brep.h.

## m_type

int ON_BrepRegion::m_type

Definition at line 1421 of file opennurbs_brep.h.

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_brep.h